<?php

namespace app\admin\model;

use think\Model;

class ChangeLog extends Model
{
    static function logAdd($type,$code,$before_info,$after_info,$token,$post){
        $user = GetUserInfo($token);
        unset($post['token']);
        $createrid= isset($user['data']['id']) ? $user['data']['id'] :0;
        $creater = isset($user['data']['nickname']) ? $user['data']['nickname'] :'';
        $db = array_diff($before_info,$after_info);
        $data=[
            "createrid"=>$createrid,
            "creater"=>$creater,
            "before_info"=>isset($before_info[ 'before_info']) ? trim($before_info['before_info']) :"",
            "after_info"=>$db,
            "code"=>isset($code['code']) ? trim($code['code']."") :"",
            "type"=>$type,
            "action_data"=>json_encode($post),
            "addtime"=>date("Y-m-d H:i:s"),
            "updatetime"=>date("Y-m-d H:i:s")
        ];
        self::insert($data);
    }
}